@import url('https://fonts.googleapis.com/css?family=Roboto');

html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
}

* {
  box-sizing: border-box;
}

#root,
#board {
  width: inherit;
  height: inherit;
}

.postit {
  float: left;
  display: block;
  position: absolute;
  width: 300px;
  min-height: 300px;
  box-shadow: 5px 5px 10px -2px rgba(33, 33, 33, 0.3);
  margin-right: 10px;
  margin-top: 10px;
  /* Fix rotation and shadow distortion */
  backface-visibility: hidden;
}

.postit--odd {
  background: linear-gradient(to bottom, rgb(255, 248, 157), rgb(255, 242, 67));
  transform: rotate(2deg);
}

.postit--even {
  background: linear-gradient(
    to bottom,
    rgb(203, 205, 250),
    rgb(124, 130, 248)
  );
  transform: rotate(-1deg);
}

.postit__header {
  top: 0;
  width: 100%;
  height: 24px;
}

button {
  font-size: 20px;
  background: none;
  border: none;
  color: rgb(97, 95, 95);
}

button:hover {
  /* background-color: rgba(0, 0, 0, 0.1); */
  color: black;
  font-weight: bold;
}

.postit__button--add {
  position: absolute;
  left: 0;
}

.postit__button--remove {
  position: absolute;
  right: 0;
}

.postit__textarea {
  background: transparent;
  border: none;
  outline: none;
  resize: none;
  width: 100%;
  overflow: hidden;
  font-family: 'Roboto', sans-serif;
}

.postit--title {
  font-size: 20px;
  font-weight: bold;
}

.postit--description {
  font-family: 'Roboto', sans-serif;
  font-size: 16px;
  color: gray;
  padding: 2px;
  min-height: 200px;
}

.postit__footer {
  bottom: 0;
  right: 0;
  position: absolute;
  padding: 2px;
  font-size: 14px;
}
